Skip to main content
GET
/
2025-04
/
retail-media
/
retailers
/
{retailer-id}
/
templates
/2025-04/retail-media/retailers/{retailer-id}/templates
curl --request GET \
  --url https://api.criteo.com/2025-04/retail-media/retailers/{retailer-id}/templates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "allCollectionsMandatory": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "sections": [
          {
            "templateVariables": [
              {
                "id": "<string>",
                "required": true,
                "choiceVariableSpecification": {
                  "options": [
                    {
                      "dependentVariables": "<array>",
                      "id": "<string>"
                    }
                  ],
                  "maxSelected": 123,
                  "minSelected": 123
                },
                "filesVariablesSpecification": {
                  "extensions": [],
                  "maxBytes": 123,
                  "maxFile": 123,
                  "minFiles": 123
                },
                "textVariableSpecification": {
                  "maxChars": 123
                }
              }
            ],
            "description": "<string>",
            "title": "<string>"
          }
        ],
        "skuCollectionMin": 123,
        "skuPerCollectionMin": 123,
        "updatedAt": "2023-11-07T05:31:56Z",
        "displayableSkusMax": 123,
        "id": "<string>",
        "skuCollectionMax": 123,
        "skuPerCollectionMax": 123
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

retailer-id
string<int32>
required

External retailer id to retrieve creative templates for

Response

200 - application/json

Templates found

A top-level object that encapsulates a Criteo API response for several entities.

data
(object | null)[] | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only